当前位置:首页 > ODOO > 正文内容

odoo的哪些版本的哪些开发方式不再通用

oozj11个月前 (03-31)ODOO1558

Odoo是一个持续更新和发展的开源ERP软件平台,它的新版本会引入新的特性、技术和编程方式,同时也可能废弃或不再支持一些旧的特性、技术和编程方式。以下是一些Odoo版本和开发方式的变化,这些方式在新版本中可能已不再通用:

Odoo 9之前的版本使用的是旧版的API,Odoo 10及以后的版本则引入了新的API,称为ODOO API。新版API具有更好的性能和功能,因此建议使用新版API进行开发。

Odoo 10之前的版本使用的是旧版的报表引擎,称为OpenOffice报表引擎。Odoo 10及以后的版本则引入了新的报表引擎,称为QWeb报表引擎。建议使用新版QWeb报表引擎进行报表开发。

Odoo 11之前的版本使用的是旧版的JavaScript框架,称为Kanban框架。Odoo 11及以后的版本则引入了新的JavaScript框架,称为Vue.js框架。建议使用新版Vue.js框架进行前端开发。

Odoo 14中,odoo.models.new_api已经被废弃,建议使用odoo.models的新API进行开发。

Odoo 15中,将不再支持Python 3.5和PostgreSQL 9.5等旧版技术。建议开发人员使用Python 3.7及以上版本和PostgreSQL 10及以上版本进行开发。

总之,如果你在开发Odoo应用程序时使用了旧的API、报表引擎或JavaScript框架等,建议将它们迁移到新的技术和编程方式上,以确保你的应用程序能够在新版本的Odoo中继续工作。

扫描二维码推送至手机访问。

版权声明:本文由千城笔记发布,如需转载请注明出处。

本文链接:https://oozj.org/37.html

分享给朋友:

相关文章

odoo docker挂载

odoo docker挂载

/docker/odoo/postgres:/var/lib/postgresql/data POSTGRES_USER=odoo POSTGRES_PASSWORD=odoo POSTGRES...

odoo16怎样在群晖docker里运行模块脚手架

odoo16怎样在群晖docker里运行模块脚手架

/usr/bin/odoo scaffold my /mnt/extra-addons...

odoo16 销售员只可以看到自己建立的联系人(客户)

odoo16 销售员只可以看到自己建立的联系人(客户)

当使用这个规则作为Odoo数据库的访问限制条件时,只有与当前用户相关的记录才能被访问。这个规则涉及的条件是:'create_uid' 等于当前用户的 ID'user_id' 等于当前用户的 ID'us...

发表评论

访客

◎欢迎参与讨论,请在这里发表您的看法和观点。